Invisible reading lists after erasing
Closed, ResolvedPublic

Description

I got a new phone with iOS 12 and was getting some weird behavior with downloading articles so like a dummy I went into the settings and clicked what I thought was just reading list cache clearance to trigger a re-download of all articles but it erased all the articles instead because oh boy I need to be better at reading more carefully!

ANYWAY that's just how I got here and I'll try replicating with another account later. Okay, so I go to re-add some articles that I used to have saved and I don't see any lists to add a biography article to, so I go to re-create a list I used to have. But then I get an error that a list with that name already exists…but it's not showing up. This is with the latest version available in App Store: 6.0.1 (1487) and I have RLS enabled. Using my personal wiki account Bearloga.

mpopov created this task.Sep 22 2018, 10:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2018, 10:51 PM
JMinor triaged this task as Normal priority.Sep 24 2018, 6:47 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.

Logging out and back in worked.

I tried this one across a few builds lately, but I was never able to reproduce it. @mpopov have you tried it again on the latest? I'm inclined to move it to signoff, thanks.

mpopov closed this task as Resolved.Jan 15 2019, 5:11 PM
mpopov added a subscriber: JoeWalsh.

Yup, I just double checked that I could still reproduce it in 6.1.4 (yes) as a consistency check and then installed 6.2.0, tried it, and this has been fixed. Erasing articles & lists works correctly in v6.2! Thanks & good job @NHarateh_WMF & @JoeWalsh!